<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Deep Dive -Question Register</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Deep Dive -Question Register</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
            <input    
            class="form-control"
            type="hidden"
            name="module_id"
            value="<%= module_id %>"
          />
          <input    
          class="form-control"
          type="hidden"
          name="deep_dives_id"
          value="<%= deep_dives_id %>"
        />
          <div class="row mg-b-25">
            <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Question   Title: <span class="tx-danger">*</span></label
                  >
                  <input    
                    class="form-control"
                    type="text"
                    name="question_sub_title"
                    placeholder="Enter Question  Title"
                  />
                </div>
              </div>
            
           

            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
            <table class="table mg-b-0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Question</th>
                
                    <th>Edit</th>
                    <th>Status</th>
                    <th>Action</th>
                    <th>Link</th>
                    <!-- <th>Lock Status</th>
                    <th>Updation</th> -->
                  </tr>
                </thead>
                <tbody>
                  <% var i = 0; %>
                  <% quick_prep_resource.forEach(function(quick_prep_resource,index){ %>
                  <tr>
                    <th scope="row"><%= quick_prep_resource.id %></th>
                    <td><%= quick_prep_resource.question_sub_title %></td>
                    <td><a href="/deep_dive_question_edit/<%=quick_prep_resource.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Edit"
                    >
                      <i class="fa fa-pencil-square-o"></i>
                    </button>
                    </a></td>

                   
                   
                    <td>
                      <% if (quick_prep_resource.active == 1) { %>
                          Active
                       <% } else { %>
                       <b style='color:red;'> In-Active</b> 
                        <% } %>
                    </td>
          
                    <td>
                      <div class="btn-group" role="group" aria-label="Basic example">
                        
                       
                        <% if (quick_prep_resource.active == 1) { %>
                          <a href="/deep_question_inactive/<%=quick_prep_resource.id %>">
                        <button
                        type="button"
                        class="btn btn-secondary"
                        title="Make inactive"
                      >
                        <i class="fa fa-eye-slash"></i>
                      </button>
                    </a>
                      <% } else { %>
                        <a href="/deep_question_active/<%=quick_prep_resource.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make active"
                    >
                      <i class="fa fa-eye"></i>
                    </button>
                    </a>
                    <% } %>
          
          
                   <td>    <a href="/deep_dive_link_view/<%=quick_prep_resource.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Set Link"
                  >
                    <i class="fa fa-pencil-square-o"></i>
                  </button>
                  </a></td>
          
          
          
          
          
                      </div>
                    </td>
                  </tr>
                  <% }); %>
                </tbody>
              </table>
            
        </div>



        <%-include('./shared/scripts.ejs')%>

        <script>
            $("#mainForm").validate({
              normalizer: function (value) {
                return $.trim(value);
              },
              rules: {
                question_sub_title: {
                  required: true,
                },
               
              
              },
              messages: {
                question_sub_title: {
                  required: "Question   Title  is required",
                },
              
              
              },
              submitHandler: function (form) {
                $("button").prop("disabled", "disabled");
                var form = document.getElementById("mainForm");
                 var data = new FormData(form);
                 //console.log(data);exit();
                $.ajax({
                  type: "POST",
                  url: "/deep_dive_question_insert",
                  data: $(form).serialize(),
                  dataType: "json",
                  headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                  },
                  success: function (data) {
                    if (data.status == 1) {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    } else {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    }
                    $("button").prop("disabled", false);
                  },
                  error: function (err) {
                    $("button").prop("disabled", false);
                  },
                });
                return false;
              },
            });
          </script>
          
          <%-include('./shared/footer.ejs')%>
          
          
          
          